
From: Stephen Rothwell <sfr@canb.auug.org.au>

This patch removes some unused bits from HvCall.h and some unneeded #includes
from other files.  Also includes ItLpQueue.h in paca.h in preference to a stub
declaration of struct ItLpQueue.

Signed-off-by: Stephen Rothwell <sfr@canb.auug.org.au>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/ppc64/kernel/asm-offsets.c    |    1 
 arch/ppc64/kernel/iSeries_pci.c    |    1 
 arch/ppc64/kernel/mf.c             |    1 
 arch/ppc64/kernel/rtc.c            |    1 
 include/asm-ppc64/iSeries/HvCall.h |   84 -------------------------------------
 include/asm-ppc64/paca.h           |    2 
 6 files changed, 3 insertions(+), 87 deletions(-)

diff -puN arch/ppc64/kernel/asm-offsets.c~ppc64-iseries-tidy-up-some-includes-and-hvcallh arch/ppc64/kernel/asm-offsets.c
--- 25/arch/ppc64/kernel/asm-offsets.c~ppc64-iseries-tidy-up-some-includes-and-hvcallh	2005-06-03 02:16:05.000000000 -0700
+++ 25-akpm/arch/ppc64/kernel/asm-offsets.c	2005-06-03 02:16:05.000000000 -0700
@@ -31,7 +31,6 @@
 
 #include <asm/paca.h>
 #include <asm/lppaca.h>
-#include <asm/iSeries/ItLpQueue.h>
 #include <asm/iSeries/HvLpEvent.h>
 #include <asm/rtas.h>
 #include <asm/cputable.h>
diff -puN arch/ppc64/kernel/iSeries_pci.c~ppc64-iseries-tidy-up-some-includes-and-hvcallh arch/ppc64/kernel/iSeries_pci.c
--- 25/arch/ppc64/kernel/iSeries_pci.c~ppc64-iseries-tidy-up-some-includes-and-hvcallh	2005-06-03 02:16:05.000000000 -0700
+++ 25-akpm/arch/ppc64/kernel/iSeries_pci.c	2005-06-03 02:16:05.000000000 -0700
@@ -38,7 +38,6 @@
 #include <asm/iommu.h>
 
 #include <asm/iSeries/HvCallPci.h>
-#include <asm/iSeries/HvCallSm.h>
 #include <asm/iSeries/HvCallXm.h>
 #include <asm/iSeries/iSeries_irq.h>
 #include <asm/iSeries/iSeries_pci.h>
diff -puN arch/ppc64/kernel/mf.c~ppc64-iseries-tidy-up-some-includes-and-hvcallh arch/ppc64/kernel/mf.c
--- 25/arch/ppc64/kernel/mf.c~ppc64-iseries-tidy-up-some-includes-and-hvcallh	2005-06-03 02:16:05.000000000 -0700
+++ 25-akpm/arch/ppc64/kernel/mf.c	2005-06-03 02:16:05.000000000 -0700
@@ -40,7 +40,6 @@
 #include <asm/iSeries/vio.h>
 #include <asm/iSeries/mf.h>
 #include <asm/iSeries/HvLpConfig.h>
-#include <asm/iSeries/ItSpCommArea.h>
 #include <asm/iSeries/ItLpQueue.h>
 
 /*
diff -puN arch/ppc64/kernel/rtc.c~ppc64-iseries-tidy-up-some-includes-and-hvcallh arch/ppc64/kernel/rtc.c
--- 25/arch/ppc64/kernel/rtc.c~ppc64-iseries-tidy-up-some-includes-and-hvcallh	2005-06-03 02:16:05.000000000 -0700
+++ 25-akpm/arch/ppc64/kernel/rtc.c	2005-06-03 02:16:05.000000000 -0700
@@ -44,7 +44,6 @@
 
 #include <asm/iSeries/mf.h>
 #include <asm/machdep.h>
-#include <asm/iSeries/ItSpCommArea.h>
 
 extern int piranha_simulator;
 
diff -puN include/asm-ppc64/iSeries/HvCall.h~ppc64-iseries-tidy-up-some-includes-and-hvcallh include/asm-ppc64/iSeries/HvCall.h
--- 25/include/asm-ppc64/iSeries/HvCall.h~ppc64-iseries-tidy-up-some-includes-and-hvcallh	2005-06-03 02:16:05.000000000 -0700
+++ 25-akpm/include/asm-ppc64/iSeries/HvCall.h	2005-06-03 02:16:05.000000000 -0700
@@ -27,48 +27,6 @@
 #include <asm/iSeries/HvTypes.h>
 #include <asm/paca.h>
 
-/*
-enum HvCall_ReturnCode
-{
-	HvCall_Good		= 0,
-	HvCall_Partial		= 1,
-	HvCall_NotOwned		= 2,
-	HvCall_NotFreed		= 3,
-	HvCall_UnspecifiedError	= 4
-};
-
-enum HvCall_TypeOfSIT
-{
-	HvCall_ReduceOnly	= 0,
-	HvCall_Unconditional	= 1
-};
-
-enum HvCall_TypeOfYield
-{
-	HvCall_YieldTimed	= 0,	// Yield until specified time
-	HvCall_YieldToActive	= 1,	// Yield until all active procs have run
-	HvCall_YieldToProc	= 2	// Yield until the specified processor has run
-};
-
-enum HvCall_InterruptMasks
-{
-	HvCall_MaskIPI		= 0x00000001,
-	HvCall_MaskLpEvent	= 0x00000002,
-	HvCall_MaskLpProd	= 0x00000004,
-	HvCall_MaskTimeout	= 0x00000008
-};
-
-enum HvCall_VaryOffChunkRc
-{
-	HvCall_VaryOffSucceeded		= 0,
-	HvCall_VaryOffWithdrawn		= 1,
-	HvCall_ChunkInLoadArea		= 2,
-	HvCall_ChunkInHPT		= 3,
-	HvCall_ChunkNotAccessible	= 4,
-	HvCall_ChunkInUse		= 5
-};
-*/
-
 /* Type of yield for HvCallBaseYieldProcessor */
 #define HvCall_YieldTimed	0	/* Yield until specified time (tb) */
 #define HvCall_YieldToActive	1	/* Yield until all active procs have run */
@@ -139,35 +97,12 @@ static inline void HvCall_setEnabledInte
 	HvCall1(HvCallBaseSetEnabledInterrupts, enabledInterrupts);
 }
 
-static inline void HvCall_clearLogBuffer(HvLpIndex lpindex)
-{
-	HvCall1(HvCallBaseClearLogBuffer, lpindex);
-}
-
-static inline u32 HvCall_getLogBufferCodePage(HvLpIndex lpindex)
-{
-	u32 retVal = HvCall1(HvCallBaseGetLogBufferCodePage, lpindex);
-	return retVal;
-}
-
-static inline int HvCall_getLogBufferFormat(HvLpIndex lpindex)
-{
-	int retVal = HvCall1(HvCallBaseGetLogBufferFormat, lpindex);
-	return retVal;
-}
-
-static inline u32 HvCall_getLogBufferLength(HvLpIndex lpindex)
-{
-	u32 retVal = HvCall1(HvCallBaseGetLogBufferLength, lpindex);
-	return retVal;
-}
-
-static inline void HvCall_setLogBufferFormatAndCodepage(int format, u32 codePage)
+static inline void HvCall_setLogBufferFormatAndCodepage(int format,
+		u32 codePage)
 {
 	HvCall2(HvCallBaseSetLogBufferFormatAndCodePage, format, codePage);
 }
 
-extern int HvCall_readLogBuffer(HvLpIndex lpindex, void *buffer, u64 bufLen);
 extern void HvCall_writeLogBuffer(const void *buffer, u64 bufLen);
 
 static inline void HvCall_sendIPI(struct paca_struct *targetPaca)
@@ -175,19 +110,4 @@ static inline void HvCall_sendIPI(struct
 	HvCall1(HvCallBaseSendIPI, targetPaca->paca_index);
 }
 
-static inline void HvCall_terminateMachineSrc(void)
-{
-	HvCall0(HvCallBaseTerminateMachineSrc);
-}
-
-static inline void HvCall_setDABR(unsigned long val)
-{
-	HvCall1(HvCallCcSetDABR, val);
-}
-
-static inline void HvCall_setDebugBus(unsigned long val)
-{
-	HvCall1(HvCallBaseSetDebugBus, val);
-}
-
 #endif /* _HVCALL_H */
diff -puN include/asm-ppc64/paca.h~ppc64-iseries-tidy-up-some-includes-and-hvcallh include/asm-ppc64/paca.h
--- 25/include/asm-ppc64/paca.h~ppc64-iseries-tidy-up-some-includes-and-hvcallh	2005-06-03 02:16:05.000000000 -0700
+++ 25-akpm/include/asm-ppc64/paca.h	2005-06-03 02:16:05.000000000 -0700
@@ -20,13 +20,13 @@
 #include	<asm/types.h>
 #include	<asm/lppaca.h>
 #include	<asm/iSeries/ItLpRegSave.h>
+#include	<asm/iSeries/ItLpQueue.h>
 #include	<asm/mmu.h>
 
 register struct paca_struct *local_paca asm("r13");
 #define get_paca()	local_paca
 
 struct task_struct;
-struct ItLpQueue;
 
 /*
  * Defines the layout of the paca.
_
